<?php
if (!class_exists('Onepxeyemkd_head')) {
    class Onepxeyemkd_head
    {
        public function __construct()
        {
            add_action('wp_head', array($this, 'Onepxeyemkd_head_elements'), 0, 1);
        }

        public function Onepxeyemkd_head_elements()
        {

            $mkd_post_types = get_option('mkd_posttypes');
            $mkd_home_description = get_option('mkd_home_description');
            $mkd_home_keywords = get_option('mkd_home_keywords');
            $mkd_global_description = get_option('mkd_global_description');
            $mkd_global_keywords = get_option('mkd_global_keywords');
            if (empty($mkd_post_types)) {
                $mkd_post_types = array();
            }
            if (is_home() || is_front_page() || in_array(get_post_type(), $mkd_post_types)) {
                global $post;

                if (is_singular()) {
                    $mkd_title_field = get_post_meta($post->ID, '_mkd_title_field', true);

                    if (!empty($mkd_title_field)) {
                        remove_theme_support('title-tag');
                        function wpdocs_filter_wp_title($title, $sep)
                        {
                            global $post;
                            $mkd_title_field = get_post_meta($post->ID, '_mkd_title_field', true);
                            return $mkd_title_field;
                        }
                        add_filter('wp_title', 'wpdocs_filter_wp_title', 10, 2);
                        ?>
<title><?php echo esc_html($mkd_title_field); ?></title>
<?php
}
                } else if (is_tax() || is_category()) {
                    $mkd_title_field = get_term_meta(get_queried_object_id(), '_mkd_term_title', true);
                    if (!empty($mkd_title_field)) {
                        remove_theme_support('title-tag');
                        function wpdocs_filter_wp_title($title, $sep)
                        {
                            $mkd_title_field = get_term_meta(get_queried_object_id(), '_mkd_term_title', true);
                            return $mkd_title_field;
                        }
                        add_filter('wp_title', 'wpdocs_filter_wp_title', 10, 2);
                        ?>
<title><?php echo esc_html($mkd_title_field); ?></title>
<?php
}
                }
                ?>
<!-- MKD start -->
<meta name="keywords" content="<?php if (is_front_page() || is_home()) {
                    if (!empty($mkd_home_keywords)) {
                        echo esc_attr($mkd_home_keywords);
                    } else if (!empty($mkd_global_keywords)) {
                        echo esc_attr($mkd_global_keywords);
                    } else {
                        echo get_bloginfo('name');
                    }
                } else if (is_tax() || is_category()) {
                    $mkd_term_keywords = get_term_meta(get_queried_object_id(), '_mkd_term_keywords', true);
                    if (!empty($mkd_term_keywords)) {
                        echo esc_attr($mkd_term_keywords);
                    } else if (!empty($mkd_global_keywords)) {
                        echo esc_attr($mkd_global_keywords);
                    } else if (!empty($mkd_home_keywords)) {
                        echo esc_attr($mkd_home_keywords);
                    } else {
                        echo get_bloginfo('name');
                    }
                } else {
                    $mkd_keywords_field = get_post_meta($post->ID, '_mkd_keywords_field', true);
                    if (!empty($mkd_keywords_field)) {
                        echo esc_attr($mkd_keywords_field);
                    } else if (!empty(wp_get_post_tags($post->ID))) {
                        $tags = wp_get_post_tags($post->ID);
                        $posttags = array();
                        foreach ($tags as $tag) {
                            $posttags[] = $tag->name;
                        }
                        echo esc_attr(implode(",", $posttags));
                    } else if (!empty($mkd_global_keywords)) {
                        echo esc_attr($mkd_global_keywords);
                    } else if (!empty($mkd_home_keywords)) {
                        echo esc_attr($mkd_home_keywords);
                    } else {
                        echo get_bloginfo('name');
                    }
                }?>" />
<meta name="description" content="<?php if (is_front_page() || is_home()) {
                    if (!empty($mkd_home_description)) {
                        echo esc_attr($mkd_home_description);
                    } else if (!empty($mkd_global_description)) {
                        echo wp_strip_all_tags($mkd_global_description);
                    } else if (!empty(get_bloginfo('description'))) {
                        echo get_bloginfo('description');
                    } else {
                        echo get_bloginfo('name');
                    }
                } else if (is_tax() || is_category()) {
                    $description = term_description(get_queried_object_id());
                    $mkd_term_description = get_term_meta(get_queried_object_id(), '_mkd_term_description', true);
                    if (!empty($mkd_term_description)) {
                        echo wp_strip_all_tags($mkd_term_description);
                    } else if (!empty($description)) {
                        echo wp_strip_all_tags($description);
                    } else if (!empty($mkd_global_description)) {
                        echo esc_attr($mkd_global_description);
                    } else if (!empty($mkd_home_description)) {
                        echo esc_attr($mkd_home_description);
                    } else if (!empty(get_bloginfo('description'))) {
                        echo get_bloginfo('description');
                    } else {
                        echo get_bloginfo('name');
                    }
                } else {
                    $mkd_description_field = get_post_meta($post->ID, '_mkd_description_field', true);
                    if (!empty($mkd_description_field)) {
                        echo esc_attr($mkd_description_field);
                    } else if (!empty(get_the_excerpt())) {
                        echo esc_attr(get_the_excerpt());
                    } else if (!empty($mkd_global_description)) {
                        echo wp_strip_all_tags($mkd_global_description);
                    } else if (!empty($mkd_home_description)) {
                        echo wp_strip_all_tags($mkd_home_description);
                    } else if (!empty(get_bloginfo('description'))) {
                        echo get_bloginfo('description');
                    } else {
                        echo get_bloginfo('name');
                    }
                }?>" />
<!-- MKD ends -->
<?php
}
        }
    }
    if (class_exists('Onepxeyemkd_head')) {
        $Onepxeyemkd_head = new Onepxeyemkd_head();
    }
}