<?php

if (!class_exists('OnepxeyeOGC_head')) {
    class OnepxeyeOGC_head
    {
        public function __construct()
        {
            add_action('wp_head', array($this, 'OnepxeyeOGC_head_elements'), 0, 1);
        }

        public function OnepxeyeOGC_head_elements()
        {

            $ogc_post_types = get_option('ogc_posttypes');
            $ogc_home_title_text = get_option('ogc_home_title_text');
            $ogc_description_text = get_option('ogc_description_text');
            $ogc_description_position = get_option('ogc_description_position');
            $home_description = get_option('ogc_home_description');
            $post_description = get_option('ogc_post_description');
            $global_description = get_option('ogc_global_description');
            $home_og_img = get_option('ogc_home_og_img');
            $post_og_img = get_option('ogc_post_og_img');
            $global_og_img = get_option('ogc_global_og_img');
            $ogc_twitter_card_username = get_option('ogc_twitter_card_username');
            $ogc_twitter_card_type = get_option('ogc_twitter_card_type');
            $default_img = plugin_dir_url(__DIR__) . '/assets/img/ogc.jpg';
            if (empty($ogc_post_types)) {
                $ogc_post_types = array();
            }
            if (is_home() || is_front_page() || in_array(get_post_type(), $ogc_post_types)) {
                ?>
<!-- Open Graph start -->
<meta property="og:site_name" content="<?php echo get_bloginfo('name'); ?>" />
<meta property="og:url" content="<?php global $wp;
                $current_url = home_url(add_query_arg(array(), $wp->request));
                echo htmlspecialchars($current_url);?>" />
<meta property="og:type" content="website" />
<meta property="og:title" content="<?php if (is_front_page() || is_home()) {
                    if (!empty($ogc_home_title_text)) {
                        echo esc_attr($ogc_home_title_text);
                    } else {
                        echo get_bloginfo('name');
                    }
                } else if (is_tax() || is_category()) {
                    $current_term_title = get_term_meta(get_queried_object_id(), '_fb_term_ogc_title', true);
                    if (!empty($current_term_title)) {
                        echo esc_attr($current_term_title);
                    } else {
                        echo esc_attr(single_term_title());
                    }
                } else {
                    $get_the_og_title = get_post_meta(get_the_ID(), '_ogc_title_field', true);
                    if (!empty($get_the_og_title)) {
                        $og_title = esc_attr($get_the_og_title);
                    } else {
                        $str = wp_title('', false);
                        $str = mb_ereg_replace('^(　| )+', '', $str);
                        $str = mb_ereg_replace('(　| )+$', '', $str);
                        $og_title = ucfirst(strtolower(mb_ereg_replace('　', "\n　", $str)));
                    }
                    if (!empty($ogc_description_text)) {
                        if ($ogc_description_position == "Left side") {
                            echo esc_attr($ogc_description_text);
                            echo " | ";
                            echo $og_title;
                        } else {
                            echo $og_title;
                            echo " | ";
                            echo esc_attr($ogc_description_text);
                        }
                    } else {
                        echo $og_title;
                    }
                }?>" />
<meta property="og:description" content="<?php
if (is_singular()) {
                    while (have_posts()) {
                        the_post();
                        $the_excerpt = get_the_excerpt();
                        $get_the_og_description = get_post_meta(get_the_ID(), '_ogc_des_field', true);
                    }
                    wp_reset_postdata();
                    wp_reset_query();
                    if (!empty($get_the_og_description)) {
                        echo esc_attr($get_the_og_description);
                    } else if (!empty($the_excerpt)) {
                        echo esc_attr($the_excerpt);
                    } else if (!empty($post_description)) {
                        echo esc_attr($post_description);
                    } else if (!empty($global_description)) {
                        echo esc_attr($global_description);
                    } else if (!empty($home_description)) {
                        echo esc_attr($home_description);
                    } else {
                        echo esc_attr(get_option('blogname'));
                    }
                } else if (is_tax() || is_category()) {
                    $current_term_discription = get_term_meta(get_queried_object_id(), '_fb_term_ogc_description', true);
                    if (!empty($current_term_discription)) {
                        echo esc_attr($current_term_discription);
                    } else if (!empty($home_description)) {
                        echo esc_attr($home_description);
                    } else if (!empty($global_description)) {
                        echo esc_attr($global_description);
                    } else {
                        echo esc_attr(get_option('blogname'));
                    }
                } else if (is_home() || is_front_page()) {
                    if (!empty($home_description)) {
                        echo esc_attr($home_description);
                    } else if (!empty($global_description)) {
                        echo esc_attr($global_description);
                    } else {
                        echo esc_attr(get_option('blogname'));
                    }
                } else {
                    if (!empty($global_description)) {
                        echo esc_attr($global_description);
                    } else if (!empty($home_description)) {
                        echo esc_attr($home_description);
                    } else {
                        echo esc_attr(get_option('blogname'));
                    }
                }
                ?>" />
<meta property="og:image:width" content="1200" />
<meta property="og:image:height" content="628" />
<meta property="og:image" content="<?php
if (is_singular()) {

                    $large_image_url = get_the_post_thumbnail_url(get_the_ID(), 'large');
                    $taxonomies = get_taxonomies('', 'names');
                    $term_id = wp_get_object_terms(get_queried_object_id(), $taxonomies, array('fields' => 'ids'))[0];
                    $current_term_img_id = get_term_meta($term_id, '_fb_term_ogc_image', true);
                    $ogc_term_img = wp_get_attachment_image_src($current_term_img_id, 'large')[0];
                    if (!empty($large_image_url)) {
                        echo $large_image_url;
                    } else if (!empty($ogc_term_img)) {
                        echo esc_url($ogc_term_img);
                    } else if (!empty($post_og_img)) {
                        echo esc_url($post_og_img);
                    } else if (!empty($global_og_img)) {
                        echo esc_url($global_og_img);
                    } else if (!empty($home_og_img)) {
                        echo esc_url($home_og_img);
                    } else {echo esc_url($default_img);}

                } else if (is_tax() || is_category()) {
                    $current_term_img_id = get_term_meta(get_queried_object_id(), '_fb_term_ogc_image', true);
                    $ogc_term_img = wp_get_attachment_image_src($current_term_img_id, 'large')[0];
                    if (!empty($ogc_term_img)) {
                        echo esc_url($ogc_term_img);
                    } else if (!empty($home_og_img)) {
                        echo esc_url($home_og_img);
                    } else if (!empty($global_og_img)) {
                        echo esc_url($global_og_img);
                    } else {echo esc_url($default_img);}

                } else if (is_home() || is_front_page()) {
                    if (!empty($home_og_img)) {
                        echo esc_url($home_og_img);
                    } else if (!empty($global_og_img)) {
                        echo esc_url($global_og_img);
                    } else {echo esc_url($default_img);}
                } else {
                    if (!empty($global_og_img)) {
                        echo esc_url($global_og_img);
                    } else if (!empty($home_og_img)) {
                        echo esc_url($home_og_img);
                    } else {echo esc_url($default_img);}
                }?>" />
<meta property="og:image:alt" content="<?php if (is_front_page() || is_home()) {
                    echo get_bloginfo('name');
                } else {
                    echo strtolower(str_replace(' ', '', wp_title('', false)));
                }?>" />
<?php
if (!empty($ogc_twitter_card_type)) {
                    ?>
<meta name="twitter:card" content="<?php echo $ogc_twitter_card_type; ?>" />
<?php }?>
<?php
if (!empty($ogc_twitter_card_username)) {?>
<meta name="twitter:site" content="<?php echo $ogc_twitter_card_username; ?>" />
<?php }?>
<!-- Open Graph ends -->
<?php
}
        }
    }

    if (class_exists('OnepxeyeOGC_head')) {
        $OnepxeyeOGC_head = new OnepxeyeOGC_head();
    }

}